Subject: bug#38802: 24.5; emacs unusable, unpredictably, with "k is undefined" for every key

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Dec 2019 17:45:37 +0200

> From: Samuel Wales <[email-masked]>
> Date: Sun, 29 Dec 2019 18:20:15 -0700
> 
> I have long had a bug where everything I type says "k is undefined",
> where k stands for any key including ESC and C-g.  this occurs
> randomly.
> 
> It is impossible to get out of this mode, unless you can figure out
> some SIGUSR1 voodoo.  Except once, I think type-break activating got
> me out of the mode.  And once I got
> out by just coming back to it after a half hour or something.

Can you show a screenshot of how your Emacs session looks when this
happens?